# Guía de instalación
1. **Copiar el archivo de configuración:**

Copia el archivo .env.example a un nuevo archivo llamado .env:

```bash
cp .env.example .env
```

Abre el archivo .env y ajusta los valores según sea necesario, especialmente la configuración de la base de datos.

2. **Crear la imagen del proyecto**

Ejecuta el siguiente comando para construir la imagen del proyecto utilizando Docker Compose:

```bash
docker-compose up -d --build
```

3. **Instalar dependencias de Composer**

Instala las dependencias definidas en composer.json utilizando Composer:

```bash
docker-compose exec app composer install
```

4. **Generar la clave de la aplicación**

Genera la clave de la aplicación con el siguiente comando:

```bash
docker-compose exec app php artisan key:generate
```

5. **Migrar y poblar la base de datos**

Ejecuta las migraciones y seeders para tener la base de datos actualizada:

```bash
docker-compose exec app php artisan migrate --seed
```

6. **Instalar dependencias de npm**

Instala las dependencias definidas en package.json utilizando npm:

```bash
docker-compose exec app npm install
```
